Summary
Update Automation
Description
Update an Automation.
Route
PATCH /operations-manager/automations/:id
Roles
admin
apiwrite
engineering
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| id |
string |
yes |
The id of the Automation to update. |
| updates |
object |
yes |
The details of the Automation document to update. |
Copied to Clipboard
{
"name": "myCoolDocumentName",
"description": "Some helpful information about the document",
"componentType": null,
"gbac": {
"write": [
"46206a82b8c6f43d3d4651bd",
"b8aa0ae942dbcb55de5bce79",
"118d0e3154ef7065b2f1f7f7",
"616af42de2f00f59338ca668"
],
"read": [
"889a4f440d04a6beffb6d0d3",
"c407d284fc8eef571be81bc8",
"a835809b08b2ae9a071e7096",
"ddf1c1048eb1d776cfc86883",
"35310b75699d7fd4de3cb1ba"
]
},
"componentId": ""
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| result |
object |
The result of the update operation. |
Copied to Clipboard
{
"message": "Successfully imported 3 of 4 documents",
"data": {
"name": "myCoolDocumentName",
"description": "Some helpful information about the document",
"componentType": "workflows",
"createdBy": "Pronghorn",
"created": "2007-04-29T16:04:25.567Z",
"lastUpdatedBy": "ebc94da1d25dcc217bea6cd1",
"lastUpdated": "1960-09-21T17:48:25.879Z",
"_id": "0d7c0fe4cbf768dfa23638db",
"gbac": {
"write": [
"22618ff99dac152cb973e3f5",
"c53d05e4b752db8b181cbe27",
"0acc0526197dff316a68ef72",
"d6c86d5ffa108db111969a14",
"22ad04e5b64c2e00b017a2e6"
],
"read": [
"bcaf75e1bbd4302fbfd03670",
"a9d35ed643815fd5f9629d5d",
"8f82cd089ebf223a6592f9c9"
]
},
"componentId": "1f359AD4-5f65-b9A3-aAb3-E2b95cde3A68"
}
}